#
# spec file for package gnome-keyring-sharp
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-keyring-sharp
Summary:        Managed Implementation of libgnome-keyring
License:        MIT
Group:          Development/Libraries/Other
Version:        1.0.2
Release:        bp154.1.51
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  glib-sharp2
BuildRequires:  gnome-keyring-devel >= 2.30
BuildRequires:  libtool
BuildRequires:  mono-devel
Requires:       gnome-keyring >= 2.30
Source:         %{name}-%{version}.tar.bz2
Source99:       %{name}-rpmlintrc
Patch0:         pkgconfigdir.patch
Patch1:         add-delay-sign-attribute.patch
Patch2:         sign-delay-signed-assembly.patch

%description
When the gnome-keyring-daemon is running, you can use this to
retrieve/store confidential information such as passwords, notes or
network services user information.



%package devel
Requires:       %{name} = %{version} pkg-config
Summary:        Managed implementation of libgnome-keyring
Group:          Development/Libraries/Other

%description devel
When the gnome-keyring-daemon is running, you can use this to retrieve
and store confidential information such as passwords, notes or network
services user information.



%prep
%setup
%patch0
%patch1 -p1
%patch2 -p1

%build
autoreconf -f -i
%configure --disable-static
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
find %{buildroot} -type f -name "*.la" -exec %{__rm} -fv {} +
# mono 5.0 may create this stuff, we do not package it for now
rm -rf %{buildroot}%{_prefix}/%{_lib}/monodoc

%files
%defattr(-,root,root)
%{_libdir}/libgnome-keyring-sharp-glue.so
%dir %{_prefix}/lib/mono/gnome-keyring-sharp-1.0
%{_prefix}/lib/mono/gnome-keyring-sharp-1.0/Gnome.Keyring.dll
%{_prefix}/lib/mono/gac/Gnome.Keyring

%files devel
%defattr(-,root,root)
%{_datadir}/pkgconfig/gnome-keyring-sharp-1.0.pc

%changelog
* Tue May 16 2017 jengelh@inai.de
- Remove redundant %%clean section.
* Tue May  2 2017 fwdsbs.to.11df@xoxy.net
- Added add-delay-sign-attribute.patch: do not perform full sign of Gnome.Keyring assembly, use delay-sign. This should fix build for Mono 5.0
- Added sign-delay-signed-assembly.patch: sign delay-signed Gnome.Keyring assembly manually before installing it to GAC
* Sat Oct 15 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Fri Jul  2 2010 vuntz@opensuse.org
- Update to version 1.0.2:
  + Work with latest versions of gnome-keyring (bnc#589166)
- Changes from version 1.0.1:
  + Support "NoMatch" result code (bgo#499841)
  + Make monodoc build optional
- Rebase pkgconfigdir.patch.
- BuildRequires gnome-keyring-devel >= 2.30 and Requires
  gnome-keyring >= 2.30, because we need a gnome-keyring that has
  the new interface.
- Remove unneeded explicit gnome-keyring BuildRequires.
- Remove gtk2-devel, ndesk-dbus BuildRequires and ndesk-dbus
  Requires.
- Add glib-sharp2 BuildRequires.
- Since there's now a .so file, the build is arch-specific, so do
  not mark it as noarch.
- Use %%configure macro and pass --disable-static to it.
- Remove .la files.
- Fix summaries to not end with a dot to make rpmlint happy.
* Wed Aug  6 2008 ajorgensen@novell.com
- Update to 1.0.0
  * Has a stable API version
  * Installs in the GAC
* Fri Jun 22 2007 maw@suse.de
- Remove some crud that caused the build to fail.
* Thu Jun 21 2007 maw@suse.de
- Initial drop.
